Bug 3148 - ???????????? вместо русского перевода menu.
: ???????????? вместо русского перевода menu.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnome-panel)
: unstable
: all Linux
: P1 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-10-12 13:51 by
Modified: 2005-08-29 00:24 (History)


Attachments
Снимок экрана с "клопом". (130.12 KB, image/jpeg)
2003-10-12 13:54, Vyacheslav Dikonov
no flags Details
ALT Linux menu (locale ru_RU.CP1251) (17.70 KB, image/png)
2003-10-15 11:36, Yuri N. Sedunov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-10-12 13:51:01
Вместо перевода ALT menu видны только знаки вопроса. Снимок экрана прилагается.
Созданные menu для Гнома .desktop файлы действительно содержат "????????????"
вместо русского текста. Этому глюку уже больше года!

Моя локаль - ru_RU.CP1251.







Steps to Reproduce:
1. Установить Сизиф с Гномом выбрав локаль ru_RU(.CP1251)
2. Посмотреть на меню приложений.
3. Можно ругаться.
Actual Results:  
??????????????7 ??? ?????!
???? ????????? ??
?????

Expected Results:  
Нормальный русский перевод меню.
------- Comment #1 From 2003-10-12 13:54:05 -------
Created an attachment (id=293) [details]
Снимок экрана с "клопом". 

В терминале один из дефектных .desktop файлов.
------- Comment #2 From 2003-10-14 13:56:54 -------
Я по-моему уже объяснял, что menu здесь непричем. 
Ошибки в menu-method, который создает это меню 
для Gnome. 
------- Comment #3 From 2003-10-15 11:36:01 -------
Created an attachment (id=296) [details]
ALT Linux menu (locale ru_RU.CP1251)
------- Comment #4 From 2003-10-15 11:40:30 -------
Fixed in gnome-panel-2.1.5-alt2 (Dec 24 2002)

[gnome2@aristarh gnome2]$ locale 
LANG=ru_RU.CP1251
LC_CTYPE="ru_RU.CP1251"
LC_NUMERIC="ru_RU.CP1251"
LC_TIME="ru_RU.CP1251"
LC_COLLATE="ru_RU.CP1251"
LC_MONETARY="ru_RU.CP1251"
LC_MESSAGES="ru_RU.CP1251"
LC_PAPER="ru_RU.CP1251"
LC_NAME="ru_RU.CP1251"
LC_ADDRESS="ru_RU.CP1251"
LC_TELEPHONE="ru_RU.CP1251"
LC_MEASUREMENT="ru_RU.CP1251"
LC_IDENTIFICATION="ru_RU.CP1251"
LC_ALL=

See attached screenshot.